@font-face {
  font-family: "Ritmica";
  src: url("./fonts/Ritmica-Semibold-Trial.otf") format('opentype');
  font-weight: 500;
}

:root {
  --text-color: #ffffff;
  --bg-color: #000000;
}

html {
  background-color: var(--bg-color);
  color: var(--text-color);
}
html,
body {
  font-family: "Ritmica";
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  overflow: hidden; /* Hide scrollbars */
  position: fixed; /* Fix the body to prevent any movement */
  touch-action: none; /* Disable mobile touch-scrolling */
  background-color: #000;
  /* overflow: hidden; */
}

#container {
  width: 200%; /* Extra width to account for negative margins */
  margin-left: -100%;
  display: flex;
  flex-direction: column;
  gap: 0; /* Tight grouping */
  position: absolute;
  top: 0;
  left: 0;
  display: flex;
  flex-direction: column;
  overflow: hidden; /* Ensure nothing inside causes a scroll */
}

.row {
  white-space: nowrap;
  font-size: 15vw; /* Large scale */
  font-weight: 900;
  line-height: 0.8;
  letter-spacing: -0.04em;
  text-transform: none;
}

.char {
  display: inline-block;
  will-change: opacity; /* Optimization for JS animation */
}

.char,
.word-wrapper,
.row {

  backface-visibility: hidden;
  -webkit-backface-visibility: hidden;

  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
}

/* @media (max-aspect-ratio: 1/1) {
  .desktop{
  display: none;
  }
  .mobile {
    display: block;
  }
}  */

@media (max-width: 768px) {
  .row {
    /* Larger font for mobile screens */
    font-size: 20vw !important;
    line-height: 0.8;
  }
}
